---
title: Supported browsers
metaTitle: Supported browsers - Guide - Handsontable Documentation
permalink: /11.1/supported-browsers
canonicalUrl: /supported-browsers
tags:
  - compatibility
---

# Supported browsers

[[toc]]

We carefully test our code on the **two latest versions** of every modern browser, on both mobile and desktop devices. In addition to running unit and end-to-end tests, we focus on two factors that are crucial for all users: performance and accuracy of the user interface.

## Testing compatibility

Tests are run in [BrowserStack](https://www.browserstack.com/) as well as on a limited number of physical desktop and mobile devices. Access to physical machines gives us an opportunity to measure the performance better which is hard to do with virtual machines.

## List of browsers

| Desktop Browsers      | Mobile Browsers     |
| :-------------------- | :------------------ |
| Chrome                | Chrome              |
| Firefox               | Firefox for Android |
| Safari                | Firefox for iOS     |
| Edge Chromium         | Safari iOS          |
| Edge                  | Samsung Internet    |
| Opera                 | Opera               |
| QQ browser            |                     |
| Internet Explorer 11* |                     |

*We plan to drop the support for Internet Explorer 11 in the future.
